Package uk.ac.starlink.table

## Class TestTableScheme

- java.lang.Object
- - uk.ac.starlink.table.TestTableScheme

- All Implemented Interfaces:
    `uk.ac.starlink.table.Documented`, `uk.ac.starlink.table.TableScheme`

      public class TestTableScheme
      extends java.lang.Object
      implements uk.ac.starlink.table.TableScheme, uk.ac.starlink.table.Documented

  TableScheme implementation for test data.
  Since:
    26 Apr 2021
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestTableScheme()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.table.StarTable` | `createTable​(java.lang.String spec)` |
    `java.lang.String` | `getExampleSpecification()` |
    `java.lang.String` | `getSchemeName()` |
    `java.lang.String` | `getSchemeUsage()` |
    `java.lang.String` | `getXmlDescription()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestTableScheme

          public TestTableScheme()

  - ### Method Detail

    - #### getSchemeName

          public java.lang.String getSchemeName()

      Specified by:
        `getSchemeName` in interface `uk.ac.starlink.table.TableScheme`

    - #### getSchemeUsage

          public java.lang.String getSchemeUsage()

      Specified by:
        `getSchemeUsage` in interface `uk.ac.starlink.table.TableScheme`

    - #### getExampleSpecification

          public java.lang.String getExampleSpecification()

      Specified by:
        `getExampleSpecification` in interface `uk.ac.starlink.table.TableScheme`

    - #### getXmlDescription

          public java.lang.String getXmlDescription()

      Specified by:
        `getXmlDescription` in interface `uk.ac.starlink.table.Documented`

    - #### createTable

          public uk.ac.starlink.table.StarTable createTable​(java.lang.String spec)
                                                     throws uk.ac.starlink.table.TableFormatException

      Specified by:
        `createTable` in interface `uk.ac.starlink.table.TableScheme`
      Throws:
        `uk.ac.starlink.table.TableFormatException`